import argparse

from dev_tools.dependencies.java import get_frozen_java_dependencies_tablines
from dev_tools.dependencies.python import get_frozen_python_dependencies_tablines


def main():
    parser = argparse.ArgumentParser("Clarabot Nano - frozen dependencies summarization tool")
    args = parser.parse_args()

    print("3rd party dependencies that are Python libraries")
    print()
    print(get_frozen_python_dependencies_tablines())

    print()
    print()

    print("3rd party dependencies that are Java libraries")
    print()
    print(get_frozen_java_dependencies_tablines())


if __name__ == "__main__":
    main()
